

%define kf5style_major 5
%define libkf5style %mklibname kf5style %{kf5style_major}
%define kf5style_devel %mklibname kf5style -d

Summary:        KDE Frameworks 5 Tier 4 addon with framework integration
Name:           frameworkintegration
Version: 	5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5imageformats-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5bluetooth-devel


BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5platformsupport-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quicktest-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  attica-devel >= 5.20.0
BuildRequires:  kconfig-devel >= 5.20.0
BuildRequires:  kconfigwidgets-devel >= 5.20.0
BuildRequires:  ki18n-devel >= 5.20.0
BuildRequires:  kiconthemes-devel >= 5.20.0
BuildRequires:  kwidgetsaddons-devel >= 5.20.0
BuildRequires:  kcoreaddons-devel >= 5.20.0
BuildRequires:  kio-devel >= 5.20.0
BuildRequires:  kguiaddons-devel >= 5.20.0
BuildRequires:  kitemviews-devel >= 5.20.0
BuildRequires:  knotifications-devel >= 5.20.0
BuildRequires:  kauth-devel >= 5.20.0
BuildRequires:  kcodecs-devel >= 5.20.0
BuildRequires:  kwindowsystem-devel >= 5.20.0
BuildRequires:  kbookmarks-devel >= 5.20.0
BuildRequires:  kxmlgui-devel >= 5.20.0
BuildRequires:  kglobalaccel-devel >= 5.20.0
BuildRequires:  ktextwidgets-devel >= 5.20.0
BuildRequires:  kcompletion-devel >= 5.20.0
BuildRequires:  kservice-devel >= 5.20.0
BuildRequires:  kdbusaddons-devel >= 5.20.0
BuildRequires:  sonnet-devel >= 5.20.0
BuildRequires:  kjobwidgets-devel >= 5.20.0
BuildRequires:  solid-devel >= 5.20.0
BuildRequires:  kdoctools-devel >= 5.20.0
BuildRequires:  kcrash-devel >= 5.20.0
BuildRequires:  karchive-devel >= 5.20.0

BuildRequires:  lib64xcursor-devel

%description
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files
%_kf5_plugindir/FrameworkIntegrationPlugin.so
%_kf5_datadir/kf5/infopage
%_kf5_knotificationsdir/plasma_workspace.notifyrc
#--------------------------------------------------------------------
%_kf5_libdir/libKF5Style.so.%{kf5style_major}*
#--------------------------------------------------------------------
%_libexecdir/kf5/kpackagehandlers/knshandler

%package -n %kf5style_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

Requires:       kconfigwidgets-devel  = %version
Requires:       kiconthemes-devel = %version

%description -n %kf5style_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5style_devel
%_kf5_includedir/KStyle
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5FrameworkIntegration
/usr/include/KF5/FrameworkIntegration/frameworkintegration_version.h
#--------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version
